<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Memcache Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classMemcache.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classMemcache-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Memcache Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classCache.html" title="Cache to store raw tile data. ">Cache</a> to store raw tile data.  
 <a href="classMemcache.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Memcached_8h_source.html">Memcached.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3c22bb888cc80ebc2b4012f0f737b01a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMemcache.html#a3c22bb888cc80ebc2b4012f0f737b01a">Memcache</a> (const std::string &amp;servernames=&quot;localhost&quot;, unsigned int timeout=3600)</td></tr>
<tr class="memdesc:a3c22bb888cc80ebc2b4012f0f737b01a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3c22bb888cc80ebc2b4012f0f737b01a">More...</a><br /></td></tr>
<tr class="separator:a3c22bb888cc80ebc2b4012f0f737b01a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e0ab8c7eb4e6f7bf521d04878263af6"><td class="memItemLeft" align="right" valign="top"><a id="a5e0ab8c7eb4e6f7bf521d04878263af6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMemcache.html#a5e0ab8c7eb4e6f7bf521d04878263af6">~Memcache</a> ()</td></tr>
<tr class="memdesc:a5e0ab8c7eb4e6f7bf521d04878263af6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a5e0ab8c7eb4e6f7bf521d04878263af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0412e512f048add9f3aa43f32e79d81e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMemcache.html#a0412e512f048add9f3aa43f32e79d81e">store</a> (const std::string &amp;key, void *data, unsigned int <a class="el" href="classMemcache.html#af58dc0143ee46382a2b382175f3c44c6">length</a>)</td></tr>
<tr class="memdesc:a0412e512f048add9f3aa43f32e79d81e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Insert data into our cache.  <a href="#a0412e512f048add9f3aa43f32e79d81e">More...</a><br /></td></tr>
<tr class="separator:a0412e512f048add9f3aa43f32e79d81e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b6aadc6bbad03eac85883d33b286e6e"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMemcache.html#a3b6aadc6bbad03eac85883d33b286e6e">retrieve</a> (const std::string &amp;key)</td></tr>
<tr class="memdesc:a3b6aadc6bbad03eac85883d33b286e6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve data from our cache.  <a href="#a3b6aadc6bbad03eac85883d33b286e6e">More...</a><br /></td></tr>
<tr class="separator:a3b6aadc6bbad03eac85883d33b286e6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8da4e3bf1267e4eab87812ed6a3a161"><td class="memItemLeft" align="right" valign="top"><a id="aa8da4e3bf1267e4eab87812ed6a3a161"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMemcache.html#aa8da4e3bf1267e4eab87812ed6a3a161">error</a> ()</td></tr>
<tr class="memdesc:aa8da4e3bf1267e4eab87812ed6a3a161"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get error string. <br /></td></tr>
<tr class="separator:aa8da4e3bf1267e4eab87812ed6a3a161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af58dc0143ee46382a2b382175f3c44c6"><td class="memItemLeft" align="right" valign="top"><a id="af58dc0143ee46382a2b382175f3c44c6"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMemcache.html#af58dc0143ee46382a2b382175f3c44c6">length</a> ()</td></tr>
<tr class="memdesc:af58dc0143ee46382a2b382175f3c44c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of bytes in the result. <br /></td></tr>
<tr class="separator:af58dc0143ee46382a2b382175f3c44c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10538d2b21f6b74c921f3066610d7d45"><td class="memItemLeft" align="right" valign="top"><a id="a10538d2b21f6b74c921f3066610d7d45"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMemcache.html#a10538d2b21f6b74c921f3066610d7d45">connected</a> ()</td></tr>
<tr class="memdesc:a10538d2b21f6b74c921f3066610d7d45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tell us whether we are connected to any memcached servers. <br /></td></tr>
<tr class="separator:a10538d2b21f6b74c921f3066610d7d45"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classCache.html" title="Cache to store raw tile data. ">Cache</a> to store raw tile data. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3c22bb888cc80ebc2b4012f0f737b01a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c22bb888cc80ebc2b4012f0f737b01a">&#9670;&nbsp;</a></span>Memcache()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Memcache::Memcache </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>servernames</em> = <code>&quot;localhost&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>3600</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">servernames</td><td>list of memcached servers </td></tr>
    <tr><td class="paramname">timeout</td><td>memcached timeout - defaults to 1 hour (3600 seconds) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3b6aadc6bbad03eac85883d33b286e6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b6aadc6bbad03eac85883d33b286e6e">&#9670;&nbsp;</a></span>retrieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char* Memcache::retrieve </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve data from our cache. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>key for cache data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to data </dd></dl>

</div>
</div>
<a id="a0412e512f048add9f3aa43f32e79d81e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0412e512f048add9f3aa43f32e79d81e">&#9670;&nbsp;</a></span>store()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Memcache::store </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Insert data into our cache. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>key used for cache </td></tr>
    <tr><td class="paramname">data</td><td>pointer to the data to be stored </td></tr>
    <tr><td class="paramname">length</td><td>length of data to be stored </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classMemcache.html#af58dc0143ee46382a2b382175f3c44c6">length()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Memcached_8h_source.html">Memcached.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classMemcache.html">Memcache</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
